/* $Id: error.c,v 0.4 1993/09/12 17:23:24 root Exp $ */
#include "chinese.h"
#include <stdio.h>
#include <stdarg.h>
static char err_buf[256];
void sys_fatel(char *msg,...)
{
  va_list AP;
  va_start(AP,msg);
  vsprintf(err_buf,AP,msg);
  ch_goto_systemarea(10);
  ch_showstr("FATEL:");
  ch_showstr(err_buf);
  sleep(6);
  va_end(AP);
  adm_end();
  exit(1);
}

void sys_error(char *msg,...)
{
  va_list AP;
  va_start(AP,msg);
  vsprintf(err_buf,AP,msg);
  ch_goto_systemarea(10);
  ch_showstr("FATEL:");
  ch_showstr(err_buf);
  va_end(AP);
}
